
<template>
 <div>
    <b-container>
      <b-row align-h="center" class="mt-5">
        <b-col cols="5">
          <b-card class="mt-4">
            <h3 class="mb-4">Login</h3>
            <b-form @submit="login" v-if="show">
              <b-form-group id="input-group-1" label="E-mail:" label-for="input-1">
                <b-form-input
                  id="input-1"
                  v-model="form.email"
                  type="email"
                  required
                  placeholder="Digite seu e-mail"
                ></b-form-input>
              </b-form-group>

              <b-form-group id="input-group-2" label="Senha:" label-for="input-2">
                <b-form-input
                  id="input-2"
                  type="password"
                  v-model="form.senha"
                  required
                  placeholder="Digite a senha"
                ></b-form-input>
              </b-form-group>

              <b-form-group id="input-group-4">
                <b-form-checkbox-group v-model="form.checked" id="checkboxes-4">
                  <b-form-checkbox value="Lembrarme">Lembrar-me</b-form-checkbox>
                </b-form-checkbox-group>
              </b-form-group>
              <div class="d-flex justify-content-between">
                <div>
                  <b-button type="submit" variant="success">Entrar</b-button>
                </div>
                <div>
                  <a href="#" v-b-modal.modal1>Esqueceu a senha?</a>
                </div>
              </div>
            </b-form>
          </b-card>
        </b-col>
      </b-row>
    </b-container>

    <b-modal id="modal1" title="Esqueceu a senha">
      <b-img
        src="https://ih0.redbubble.net/image.418429827.6579/ap,550x550,12x16,1,transparent,t.u4.png"
        fluid
        alt="Responsive image"
      ></b-img>
    </b-modal>
  </div>
</template>
<script>
import axios from "axios";
export default {
  data () {
    return {
      form: {
        email: '',
        senha: ''
      },
      text:'',
      show: true
    }
  },
  mounted() {
      axios.get('https://indienest.herokuapp.com/usuario').then(res => {
      this.text = res.data
      })
  },
  methods: {
    login () {
    
}
}
}
</script>
<style>
@import url("https://fonts.googleapis.com/css?family=Lato:400,700");

body {
  font-family: "Lato", sans-serif;
}
</style>